View Issue Details

IDProjectCategoryView StatusLast Update
0000751SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000751: Add new extension point called INodeIdCreator that replaces INodeIdGenerator and gets the remote address and host passed to it
DescriptionAdd new extension point called INodeIdCreator that replaces INodeIdGenerator and gets the remote address and host passed to it
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 5c0f3c80

2012-08-06 21:45:22

chenson

Details Diff
0000751: Add new extension point called INodeIdCreator that replaces INodeIdGenerator and gets the remote address and host passed to it
0000751
mod - symmetric-assemble/src/docbook/extensions.xml Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/ExtensionPointManager.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/config/INodeIdCreator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/config/INodeIdGenerator.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/config/NodeIdCreatorAdaptor.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File

SymmetricDS: master 8f853f2b

2012-08-07 16:00:19

chenson

Details Diff
0000751: Add new extension point called INodeIdCreator that replaces INodeIdGenerator and gets the remote address and host passed to it
0000751
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/RegistrationFailedException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/RegistrationNotOpenException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/DefaultNodeIdCreator.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PullUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2012-08-06 21:44 chenson New Issue
2012-08-06 21:44 chenson Status new => assigned
2012-08-06 21:44 chenson Assigned To => chenson
2012-08-06 21:45 chenson Status assigned => resolved
2012-08-06 21:45 chenson Fixed in Version => 3.1.0
2012-08-06 21:45 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6135
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6143
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8f853f2b
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5c0f3c80